- [HTTP request](https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.labels/batchUpdate#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.labels/batchUpdate#body.PATH_PARAMETERS)
- [Request body](https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.labels/batchUpdate#body.request_body)
  - [JSON representation](https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.labels/batchUpdate#body.request_body.SCHEMA_REPRESENTATION)
- [Response body](https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.labels/batchUpdate#body.response_body)
  - [JSON representation](https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.labels/batchUpdate#body.BatchUpdateLabelsResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.labels/batchUpdate#body.aspect)
- [UpdateLabelRequest](https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.labels/batchUpdate#UpdateLabelRequest)
  - [JSON representation](https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.labels/batchUpdate#UpdateLabelRequest.SCHEMA_REPRESENTATION)
- [Try it!](https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.labels/batchUpdate#try-it)

Batch updates `Label` objects.

### HTTP request

`POST https://admanager.googleapis.com/v1/{parent}/labels:batchUpdate`

### Path parameters

| Parameters ||
|---|---|
| `parent` | `string` Required. The parent resource where `Labels` will be updated. Format: `networks/{networkCode}` The parent field in the UpdateLabelRequest must match this field. |

### Request body

The request body contains data with the following structure:

| JSON representation |
|---|
| ``` { "requests": [ { object (`https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.labels/batchUpdate#UpdateLabelRequest`) } ] } ``` |

| Fields ||
|---|---|
| `requests[]` | ``object (`https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.labels/batchUpdate#UpdateLabelRequest`)`` Required. The `Label` objects to update. A maximum of 100 objects can be updated in a batch. |

### Response body

Response object for `labels.batchUpdate` method.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "labels": [ { object (`https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.labels#Label`) } ] } ``` |

| Fields ||
|---|---|
| `labels[]` | ``object (`https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.labels#Label`)`` The `Label` objects updated. |

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/admanager`

For more information, see the [OAuth 2.0 Overview](https://developers.google.com/identity/protocols/OAuth2).

## UpdateLabelRequest

Request object for `labels.patch` method.

| JSON representation |
|---|
| ``` { "label": { object (`https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.labels#Label`) }, "updateMask": string } ``` |

| Fields ||
|---|---|
| `label` | ``object (`https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.labels#Label`)`` Required. The `Label` to update. The `Label`'s `name` is used to identify the `Label` to update. |
| `updateMask` | ``string (`https://protobuf.dev/reference/protobuf/google.protobuf#field-mask` format)`` Optional. The list of fields to update. This is a comma-separated list of fully qualified names of fields. Example: `"user.displayName,photo"`. |